View a markdown version of this page

GetLinkRoutingRule - AWS RTB Fabric

GetLinkRoutingRule

Retrieves the details of a routing rule for a link.

Request Syntax

GET /responder-gateway/gatewayId/link/linkId/routing-rule/ruleId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

gatewayId

The unique identifier of the gateway.

Length Constraints: Minimum length of 8. Maximum length of 32.

Pattern: rtb-gw-[a-z0-9-]{1,25}

Required: Yes

linkId

The unique identifier of the link.

Length Constraints: Minimum length of 6. Maximum length of 30.

Pattern: link-[a-z0-9-]{1,25}

Required: Yes

ruleId

The unique identifier of the routing rule.

Length Constraints: Minimum length of 6. Maximum length of 30.

Pattern: rule-[a-z0-9-]{1,25}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "conditions": { "hostHeader": "string", "hostHeaderWildcard": "string", "pathExact": "string", "pathPrefix": "string", "queryStringEquals": { "key": "string", "value": "string" }, "queryStringExists": "string" }, "createdAt": number, "gatewayId": "string", "linkId": "string", "priority": number, "ruleId": "string", "status": "string", "tags": { "string" : "string" }, "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

conditions

The conditions for the routing rule.

Type: RuleCondition object

createdAt

The timestamp of when the routing rule was created.

Type: Timestamp

gatewayId

The unique identifier of the gateway.

Type: String

Length Constraints: Minimum length of 8. Maximum length of 32.

Pattern: rtb-gw-[a-z0-9-]{1,25}

linkId

The unique identifier of the link.

Type: String

Length Constraints: Minimum length of 6. Maximum length of 30.

Pattern: link-[a-z0-9-]{1,25}

priority

The priority of the routing rule.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

ruleId

The unique identifier of the routing rule.

Type: String

Length Constraints: Minimum length of 6. Maximum length of 30.

Pattern: rule-[a-z0-9-]{1,25}

status

The status of the routing rule.

Type: String

Valid Values: CREATION_IN_PROGRESS | ACTIVE | UPDATE_IN_PROGRESS | DELETION_IN_PROGRESS | DELETED | FAILED

tags

A map of the key-value pairs for the tag or tags assigned to the specified resource.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: (resourceArn|internalId|[a-zA-Z0-9+\-=._:/@]+)

Value Length Constraints: Minimum length of 0. Maximum length of 1600.

updatedAt

The timestamp of when the routing rule was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request could not be completed because you do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request could not be completed because of an internal server error. Try your call again.

HTTP Status Code: 500

ResourceNotFoundException

The request could not be completed because the resource does not exist.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request could not be completed because it fails satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: